=== debian/changelog ===
hcxtools (6.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 24 Apr 2020 23:21:47 -0300

hcxtools (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Removed local patch already merged upstream.
  * Updated Standard-Versions.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 22 Jul 2019 09:09:50 -0300

hcxtools (5.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #916248).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 18 Mar 2019 09:09:59 -0300
