=== debian/control ===
Source: hcxtools
Section: net
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Uploaders: kretcheu <kretcheu@gmail.com>
Build-Depends: debhelper-compat (= 12),
 help2man,
 ieee-data,
 libcurl4-openssl-dev,
 libssl-dev,
 zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/ZerBea/hcxtools
Vcs-Git: https://salsa.debian.org/debian/hcxtools.git
Vcs-Browser: https://salsa.debian.org/debian/hcxtools

Package: hcxtools
Architecture: any
Recommends: hcxdumptool
Depends: ${shlibs:Depends}, ${misc:Depends},
 ieee-data
Description: Tools for converting captures to use with hashcat or John the Ripper
 Portable solution for capturing wlan traffic and conversion to hashcat formats
 (recommended by hashcat) and to John the Ripper formats.
 .
 hcx stands for:
  - h = hash
  - c = capture, convert and calculate candidates
  - x = different hashtypes
