=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pie
#export DEB_CFLAGS_MAINT_APPEND = -fPIE

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/hcxtools.manpages
	rm -f $(CURDIR)/debian/*.1

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/hcxtools
	for binary in $(CURDIR)/debian/hcxtools/usr/bin/* ; do \
		manpage=`basename $$binary`; \
		/usr/bin/help2man -n "hcx tools set"-N $$binary > $(CURDIR)/debian/$$manpage.1; \
		echo debian/$$manpage.1 >> $(CURDIR)/debian/hcxtools.manpages; \
	done
