=== debian/watch ===
version=4
https://github.com/ZerBea/hcxtools/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
