## hcxtools 6.2.4

=== debian/changelog ===
hcxtools (6.2.4-1) unstable; urgency=medium

  [ Ulises Vitulli ]
  * Use Salsa-CI template

  [ Paulo Roberto Alves de Oliveira (aka kretcheu) ]
  * New upstream version 6.2.4.
  * Fixed CVE-2021-32286 global-buffer-overflow (Closes: #994790)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
      - Fixed uploader name.
      - Added new build dependencies (openssl, pkg-config).
      - Changed ieee-data arch dependency to all.
      - Changed maintainer to team+pkg-security
        and put myself and Ulises as uploader.
  * debian/copyright:
      - Updated packaging copyright years.
      - Included kretcheu.
  * debian/hcxtools.lintian-overrides: updated and fixed spell errors.
  * debian/patches/:
      - Added 01-fix-spell-errors.patch: fix spell errors.
      - Added 02-fix-cross-build.patch to solve cross build error.
  * debian/rules:
      - Removed '-Wl,--as-needed' not required now.
      - Fixed string that generate manpage.
  * debian/watch: updated watch file.
  * debian/tests/:
      - Added superficial restriction. (Closes: #974484).
      - Included tests for all binaries.
  * Added upstream metadata file.
  * Added upstream signing key.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 15 Oct 2021 16:09:00 -0300
