=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: hcxtools
 Section: net
 Priority: optional
-Maintainer: Ulises Vitulli <dererk@debian.org>
-Uploaders: kretcheu <kretcheu@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
+           Ulises Vitulli <dererk@debian.org>
+Build-Depends: debhelper-compat (= 13),
  help2man,
- ieee-data,
+ ieee-data:all,
  libcurl4-openssl-dev,
  libssl-dev,
- zlib1g-dev,
-Standards-Version: 4.5.0
+ openssl,
+ pkg-config,
+ zlib1g-dev
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ZerBea/hcxtools
-Vcs-Git: https://salsa.debian.org/debian/hcxtools.git
-Vcs-Browser: https://salsa.debian.org/debian/hcxtools
+Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxtools.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/hcxtools
 
 Package: hcxtools
 Architecture: any
