=== debian/changelog ===
hcxtools (6.2.5-2) unstable; urgency=medium

  * d/rules: Fix to solve FTBFS in Kfreebsd.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 27 Dec 2021 18:07:00 -0300

hcxtools (6.2.5-1) unstable; urgency=medium

  * New upstream version 6.2.5.
  * d/patches:
       - Remove 02-fix-cross-build.patch applied by upstream.
       - Refresh 01-fix-spell-errors.patch.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 26 Dec 2021 20:05:00 -0300

hcxtools (6.2.4-2) unstable; urgency=medium

  * debian/control: removed unnecessary ieee-data from build dependencies.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 26 Oct 2021 13:21:00 -0300
