=== debian/tests/control ===
Tests: version
Restrictions: allow-stderr, superficial
Depends: @
