=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ZerBea/hcxtools/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
