## hcxtools 6.2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.5
-PRODUCTION_YEAR		:= 2021
+PRODUCTION_VERSION	:= 6.2.6
+PRODUCTION_YEAR		:= 2022
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
