=== debian/changelog ===
hcxtools (6.2.6-1) unstable; urgency=medium

  * New upstream version 6.2.6.
  * d/copyright: Update copyright years.
  * d/patches/01-fix-spell-errors.patch: Refresh patch.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 24 Apr 2022 09:25:00 -0300
