## hcxtools 6.2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.6
+PRODUCTION_VERSION	:= 6.2.7
 PRODUCTION_YEAR		:= 2022
 
 ifeq ($(PRODUCTION),1)
