=== debian/changelog ===
hcxtools (6.2.7-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:24 +1100

hcxtools (6.2.7-2build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:25:23 +0000

hcxtools (6.2.7-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:11:22 +0000

hcxtools (6.2.7-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/ZerBea/hcxtools/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 20 Oct 2022 18:43:00 -0300

hcxtools (6.2.7-1) unstable; urgency=medium

  * New upstream version 6.2.7

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 30 Apr 2022 12:49:00 -0300
