## hcxtools 6.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.7
-PRODUCTION_YEAR		:= 2022
+PRODUCTION_VERSION	:= 6.3.4
+PRODUCTION_YEAR		:= 2024
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -15,7 +15,7 @@
 HOSTOS		:= $(shell uname -s)
 
 CC		?= gcc
-CFLAGS		?= -O3 -Wall -Wextra
+CFLAGS		?= -O3 -Wall -Wextra -Wpedantic
 CFLAGS		+= -std=gnu99
 DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
 DEFS		+= -DWANTZLIB
@@ -57,15 +57,6 @@
 TOOLS+=whoismac
 whoismac_libs=$(OPENSSL_LIBS) $(CURL_LIBS)
 whoismac_cflags=$(OPENSSL_CFLAGS) $(CURL_CFLAGS)
-
-TOOLS+=hcxpmkidtool
-TOOLS+=hcxhashcattool
-hcxhashcattool_libs=-lpthread $(OPENSSL_LIBS)
-hcxhashcattool_cflags=$(OPENSSL_CFLAGS)
-hcxpmkidtool_libs=-lpthread $(OPENSSL_LIBS)
-hcxpmkidtool_cflags=$(OPENSSL_CFLAGS)
-TOOLS+=hcxmactool
-TOOLS+=hcxessidtool
 
 .PHONY: all build install clean uninstall
