=== debian/changelog ===
hcxtools (6.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.3.4
  * debian/watch: change regex to get release from github api
  * debian/patches: drop 01-fix-spell-errors.patch, the spell errors
    no longer exist
  * debian/tests/version: updated to reflect the current CLI commands

 -- Igor Penha <igorpenha.it@gmail.com>  Mon, 19 Aug 2024 17:21:16 -0300
