=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hcxtools
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
            Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper-compat (= 13),
