=== debian/changelog ===
hcxtools (6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Update lintian override for new format
  * Replace transitional pkg-config with pkgconf

  [ Leandro Cunha ]
  * New upstream version 6.3.5
  * d/control: Bump Standards-Version to 4.7.0, no changes needed
  * d/patches: Fix spelling error in hcxpsktool.c
  * d/copyright:
    - Add myself and missing file usefulscripts/hcxgrep.py
    - Update copyright years

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 11 Mar 2025 18:40:40 -0300
