=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  libcurl4-openssl-dev,
  libssl-dev,
  openssl,
- pkg-config,
+ pkgconf,
  zlib1g-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ZerBea/hcxtools
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxtools.git
