## hcxtools 7.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.3.5
-PRODUCTION_YEAR		:= 2024
+PRODUCTION_VERSION	:= 7.1.0
+PRODUCTION_YEAR		:= 2026
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -48,6 +48,9 @@
 TOOLS+=hcxpmktool
 hcxpmktool_libs=$(OPENSSL_LIBS)
 hcxpmktool_cflags=$(OPENSSL_CFLAGS)
+TOOLS+=hcxpottool
+hcxpottool_libs=$(OPENSSL_LIBS)
+hcxpottool_cflags=$(OPENSSL_CFLAGS)
 TOOLS+=hcxeiutool
 TOOLS+=hcxwltool
 TOOLS+=hcxhash2cap
