=== debian/changelog ===
hcxtools (7.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Matheus Polkorny ]
  * New upstream version 7.1.0
  * d/control:
    - Bump Standards Version to 4.7.3 (no changes)
    - Remove redundant Priority field
    - Remove redundant Rules-Requires-Root field
  * d/copyright:
    - Add myself in debian/
    - Remove whitespace
    - Update to reflect new upstream version
  * d/p/Fix-spelling-error-in-hcxpsktool.c.patch: Update patch
  * d/watch: Bump to Version 5

  [ Peter Wienemann ]
  * Switch back to watch file format version 4
    It seems that at present the GitHub template of watch file format
    version 5 cannot properly handle signed releases (cf. #1118383).

 -- Peter Wienemann <wiene@debian.org>  Fri, 13 Feb 2026 21:01:18 +0100
