=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hcxtools
 Section: net
-Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
            Ulises Vitulli <dererk@debian.org>
@@ -11,8 +10,7 @@
  openssl,
  pkgconf,
  zlib1g-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/ZerBea/hcxtools
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxtools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hcxtools
