=== debian/watch ===
--- 
+++ 
@@ -4,4 +4,3 @@
 filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
 https://api.github.com/repos/ZerBea/hcxtools/releases?per_page=100 \
 https://github.com/ZerBea/hcxtools/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
-
